Subject: [RFC PATCH] ARM ASoC: add sound driver for imx27pdk using mc13783 codec

From: [email-masked] (Mark Brown)
Date: Mon, 11 Jul 2011 20:44:56 +0900

On Mon, Jul 11, 2011 at 12:30:52PM +0200, Lambrecht J?rgen wrote:

> But actually, I have my doubts. Is it possible to reuse such a platform 
> driver?
> I don't know the other platforms, maybe they differ a little bit?

Yes, of course.  Use platform data or key off something like
machine_is_() to handle small differences between systems in the same
way as for any other driver.  There's a few examples of this in the
tree.